<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" 
      integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" 
      crossorigin="anonymous">
    <title>ERS Manager Approval</title>
</head>
<body>
<header> <!-- filled with websiteHeader.js --> </header>

<div class="panel panel-default">
    <!-- Default panel contents -->
    <div class=container></div>
        <div class=row>
            <div class="panel-heading col-xs-6 col-sm-3">Employee Reimbursement Requests</div>
            <div class="dropdown col-xs-6 col-sm-3">
              <button class="btn btn-default dropdown-toggle" type="button" id="statusMenu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                Select Status
                <span class="caret"></span>
              </button>
              <ul class="dropdown-menu" aria-labelledby="statusMenu">
                <li><a id = "pendingAction">Pending</a></li>
                <li><a id = "resolvedAction">Resolved</a></li>
              </ul>
            </div>
            <div id= "ApproveAndRejectButtons">
              <button class = "btn btn-success col-xs-6 col-sm-3" id= Approve>Approve Selected</button>
              <button class = "btn btn-danger col-xs-6 col-sm-3" id= Reject>Reject Selected</button>
            </div>
        </div>
        
    </div>

  
    <!-- Table -->
    <table class="table">
        <thead id = "reimbursementTableHeader">
            <tr>
                <th>Employee ID</th>
                <th>Employee Username</th>
                <th>Request ID</th>
                <th>Status</th>
                <th>Amount</th>
                <th>Description</th>
                <th>Approved By</th>
            </tr>
        </thead>
        <tbody id="reimbursementTableBody">
        <!--Information pulled from server-->
        </tbody>
    </table>
</div>



</table>


<div
class="modal fade"
id="responseModal"
tabindex="-1"
role="dialog"
aria-labelledby="responseModal"
aria-hidden="true"
>
<div class="modal-dialog modal-dialog-centered" role="document">
  <div class="modal-content">
    <div class="modal-body" id= "responseModalText"></div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" id="close-btn">
        Close
      </button>
    </div>
  </div>
</div>
</div>
 
    


    <!-- Latest compiled and minified JavaScript -->

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
<script src = "../websiteHeader.js"></script>
<script src = "ManagerApproveRequest.js"></script>
</body>
</html>